<html>
  <head>
    <title>Functions 6</title>
    <script>
      function execute() {
        const checkElement = (arr, pos) => {
          let result;
          const left = arr[pos] > arr[pos - 1];
          const right = arr[pos] > arr[pos + 1];
          if (pos === 0)
            result = right;
          else if (pos === arr.length - 1)
            result = left;
          else
            result = left && right;
          return result;
        }
        const output = checkElement(array.value.split(',').map(x => +x), +position.value);
        result.innerHTML = output;
      }
    </script>
  </head>
  <body>
    <p>Array: <input id="array"/></p>
    <p>Position: <input id="position"/></p>
    <button onclick="execute()">Execute</button>
    <p id="result"></p>
  </body>
</html>
